/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"
#include	"task.h"

int
get_type(XL_SEXP * s)
{

	if ( s == 0 )
		return XLT_NULL;
	realize_sexp(s);
	return s->h.type;
}

int
get_type_sexp(XL_SEXP * s)
{
	return get_type(s);
}


